<script lang="ts">
    /**
     * The panel providing information about the buildings and the unity in the district
     */
    import AvailableUnits from './DistrictPanel/AvailableUnits.svelte'
    import BuildingsOverview from './DistrictPanel/BuildingsOverview.svelte'
    import OngoingConstruction from './DistrictPanel/OngoingConstruction.svelte'
    import LabsOverview from './DistrictPanel/LabsOverview.svelte'
    import Switch from './DistrictPanel/Switch.svelte'
    import UnitsProduction from './DistrictPanel/UnitsProduction.svelte'
    import UnitsProductionSpeed from './DistrictPanel/UnitsProductionSpeed.svelte'

    let panel: string = 'buildings'
</script>

<div class="panel">
    <header>
        <Switch {panel} on:switch={event => (panel = event.detail)} />
    </header>

    <div class="content">
        {#if panel === 'buildings'}
            <OngoingConstruction />
            <BuildingsOverview />
            <LabsOverview />
        {:else}
            <AvailableUnits />
            <UnitsProduction />
            <UnitsProductionSpeed />
        {/if}
    </div>
</div>

<style lang="postcss">
    .panel {
        @apply h-full grid gap-4;
        grid-template-rows: 52px 1fr;
    }
    .content {
        @apply grid grid-rows-3 gap-4;
    }
</style>
